//
//  ViewController.m
//  agregandoCampoAlaCelda
//
//  Created by Aula Multimodal on 2/27/13.
//  Copyright (c) 2013 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController
@synthesize ipods = _ipods;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    NSMutableArray *temp = [[NSMutableArray alloc] init];
    NSDictionary *row = [[NSDictionary alloc] initWithObjectsAndKeys: 
                         @"Touch", @"tipo", 
                         @"8 GB", @"capacidad", 
                         @"$199.00 US", @"precio", 
                         @"http://store.storeimages.cdn-apple.com/2851/as-images.apple.com/is/image/AppleInc/step1-touch-black-white?wid=220&hei=278&fmt=jpeg&qlt=95&op_sharpen=0&resMode=bicub&op_usm=0.5,0.5,0,0&iccEmbed=0&layer=comp", @"urlImagen", nil];
    [temp addObject: row];
    [row release];
    
    row = [[NSDictionary alloc] initWithObjectsAndKeys:
           @"Nano", @"tipo", 
           @"16 GB", @"capacidad", 
           @"$149.00 US", @"precio", 
           @"http://store.storeimages.cdn-apple.com/3236/as-images.apple.com/is/image/AppleInc/2012-ipodnano-product-green?wid=90&hei=80&fmt=jpeg&qlt=95&op_sharpen=0&resMode=bicub&op_usm=0.5,0.5,0,0&iccEmbed=0&layer=comp&.v=1360353984304", @"urlImagen", nil];
    [temp addObject: row];
    [row release];
    
    row = [[NSDictionary alloc] initWithObjectsAndKeys:
           @"Classic", @"tipo", 
           @"160 GB", @"capacidad", 
           @"$249.00 US", @"precio", 
           @"http://store.storeimages.cdn-apple.com/2851/store.apple.com/Catalog/regional/amr/classic/img/product-white-classic.jpg", @"urlImagen", nil];
    [temp addObject: row];
    [row release];
    
    row = [[NSDictionary alloc] initWithObjectsAndKeys:
           @"Shuffle", @"tipo", 
           @"2 GB", @"capacidad", 
           @"$49.00 US", @"precio", 
           @"http://store.storeimages.cdn-apple.com/2851/store.apple.com/Catalog/regional/amr/shuffle/img/shuffle-blue-gen4.jpg", @"urlImagen", nil];
    [temp addObject: row];
    [row release];
    self.ipods = temp;
    [temp release];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - metodos de delegado de table view
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.ipods count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell;
    
    cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        // UITableViewCellStyleDefault -> UITableViewCellStyleSubtitle
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle
                                       reuseIdentifier:CellIdentifier] autorelease];
        UILabel *etiqueta = [[UILabel alloc] initWithFrame:CGRectMake(130, 10, 120, 20)];
        [etiqueta setTag:kEtiquetaPrecio];
        [cell.contentView addSubview:etiqueta];
        [etiqueta release];
    }
    
    NSInteger renglon = [indexPath row];
    NSDictionary *datos = [self.ipods objectAtIndex:renglon];
    cell.textLabel.text = [datos objectForKey:@"tipo"];
    cell.detailTextLabel.text = [datos objectForKey:@"capacidad"];
    
    UILabel *etiqTemp = (UILabel *)[cell.contentView viewWithTag:kEtiquetaPrecio];
    etiqTemp.text = [datos objectForKey:@"precio"];
    NSData *imageData = [[NSData alloc] initWithContentsOfURL:[NSURL URLWithString:[datos objectForKey:@"urlImagen"]]];
    cell.imageView.image = [UIImage imageWithData:imageData];
    [imageData release];
    
    return cell;
}


@end
